Subject: Re: [PATCH 06/18] x86, barrier: stop speculation for failed access_ok

From: Peter Zijlstra <[email-masked]>
Date: Mon, 8 Jan 2018 10:51:54 +0100

On Sun, Jan 07, 2018 at 06:24:11PM -0800, Alexei Starovoitov wrote:
> How about:
> CONFIG_SPECTRE1_WORKAROUND_INDEX_MASK
> CONFIG_SPECTRE1_WORKAROUND_LOAD_FENCE

INSTRUCTION_FENCE if anything. LFENCE for Intel (and now also for AMD as
per 0592b0bce169) is a misnomer, IFENCE would be a better name for it.